'判断是否为64位进程
'不是64 返回0 ，就是 32位了
Function Process_Is64(pid as Integer) as Integer
   If GetSys_Bits = 64 Then
      Dim hProcess as HANDLE = OpenProcess(PROCESS_ALL_ACCESS, False, pid)
      If hProcess Then
         Dim Is64 as Integer
         IsWow64Process(hProcess, cast(any ptr, @Is64))
         Function = IIf(Is64, 0, -1)
         CloseHandle(hProcess)
      EndIf
   End If
End Function